apiVersion: v1
kind: ConfigMap
metadata:
  name: web-config-map
  namespace: {{ .Release.Namespace }}
data:
  default.conf: |
    server_tokens off;

    server {
        listen       80;
        server_name  localhost;

        location / {
            root   /usr/share/nginx/html/;
            try_files $uri $uri/ /index.html;
            index  index.html index.htm;
        }
        #边侧前端到后端
        location /prod-api/{
            proxy_set_header Host $http_host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header REMOTE-HOST $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
            proxy_pass http://gateway.core.svc.cluster.local:8080/;
        }

        # 子系统访问厂级
        location /sub-api/{
             proxy_set_header Host $http_host;
             proxy_set_header X-Real-IP $remote_addr;
             proxy_set_header REMOTE-HOST $remote_addr;
             proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
             proxy_pass http://gateway.core.svc.cluster.local:8080/;
         }

        # 调控到边侧
        location /dev-api/{
             proxy_set_header Host $http_host;
             proxy_set_header X-Real-IP $remote_addr;
             proxy_set_header REMOTE-HOST $remote_addr;
             proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
             proxy_pass http://gateway.core.svc.cluster.local:8080/;
             client_max_body_size 20m;
         }

        #调控系统对接

        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   html;
        }
    }